Fetch Following
curl --request GET \
--url https://api.replyke.com/api/v6/:projectId/follows/followingimport requests
url = "https://api.replyke.com/api/v6/:projectId/follows/following"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.replyke.com/api/v6/:projectId/follows/following', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"following": [
{
"followId": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"bio": "<string>",
"reputation": 123
},
"followedAt": "<string>"
}
],
"pagination": {
"currentPage": 123,
"totalPages": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true,
"limit": 123
}
}Follow Endpoints
Fetch Following
Get paginated list of accounts the current user follows
GET
/
:projectId
/
follows
/
following
Fetch Following
Get paginated list of accounts the current authenticated user follows.
Query Parameters
Page number for pagination
Items per page (maximum: 100)
Response
Array of following objects
Show properties
Show properties
Unique identifier for this follow relationship
Timestamp when the follow relationship was created
Error Responses
Unauthorized - 401 Unauthorized
Unauthorized - 401 Unauthorized
{
"error": "Authentication required",
"code": "auth/unauthorized"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error",
"code": "follow/server-error"
}
Notes
- Requires authentication
- Returns paginated list of accounts the current user follows
- Each following entry includes user details and follow timestamp
- Default pagination: 20 items per page, maximum 100 items per page
- Rate limiting: 100 requests per 5 minutes
⌘I

